event_call_args Struct Reference

## Data Fields

rb_thread_t * | th
VALUE | klass
VALUE | self
VALUE | proc
ID | id
rb_event_flag_t | event

## Detailed Description

Definition at line 4045 of file thread.c.

## Field Documentation

rb_event_flag_t event_call_args::event

Definition at line 4051 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), rb_threadptr_exec_event_hooks(), and thread_exec_event_hooks().

ID event_call_args::id

Definition at line 4050 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), rb_threadptr_exec_event_hooks(), and thread_exec_event_hooks().

VALUE event_call_args::klass

Definition at line 4047 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), rb_threadptr_exec_event_hooks(), and thread_exec_event_hooks().

VALUE event_call_args::proc

Definition at line 4049 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), and rb_threadptr_exec_event_hooks().

VALUE event_call_args::self

Definition at line 4048 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), rb_threadptr_exec_event_hooks(), and thread_exec_event_hooks().

rb_thread_t* event_call_args::th

Definition at line 4046 of file thread.c.

Referenced by call_trace_func(), call_trace_proc(), check_deadlock_i(), clear_trace_func_i(), rb_threadptr_exec_event_hooks(), thread_add_trace_func_m(), thread_exec_event_hooks(), and thread_set_trace_func_m().

The documentation for this struct was generated from the following file:

- thread.c